//
//  CategorySelectorView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 06/01/2025.
//

import SwiftUI

struct CategorySelectorView: View {
    var body: some View {
        VStack(spacing: 0) {
            VStack(spacing: 16) {
                SQText("Zone de texte sur la partie haute de l’écran, pouvant être sur plusieurs lignes.")
                HStack(alignment: .top, spacing: 0) {
                    VStack {
                        SQText("Services")
                            .sqFont(.semiBold)
                            .frame(maxWidth: .infinity)
                        Rectangle()
                            .fill(Color.sqNeutral(100))
                            .frame(height: 2)
                            .padding(.top, 1)
                    }
                    VStack {
                        SQText("Objets")
                            .sqFont(.semiBold)
                            .frame(maxWidth: .infinity)
                        Rectangle()
                            .fill(Color.sqNeutral(20))
                            .frame(height: 1)
                            .padding(.top, 1)
                    }
                }
            }

            // MARK: -List
            ScrollView {
                LazyVStack(spacing: 0) {
                    ForEach(0..<10) { _ in
                        VStack(spacing: 0) {
                            CategoryCell()
                        }
                    }
                }
            }
        }
    }
}

#Preview {
    CategorySelectorView()
}
